2019-12-10 13:49 EST


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001872FSSCPuser interfacepublic2010-05-19 01:24
ReporterTolwyn 
Assigned Tokarajorma 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version3.6.10 
Summary0001872: fiction viewer crashes upon load
DescriptionTested with fs2_open_3_6_10r.exe (cutscene bars fix) & fs2_open_3_6_10r-20081217_r5008.exe. Old fiction viewer test exe works.
Additional Informationoriginal release thread. http://www.hard-light.net/forums/index.php/topic,50565.0.html
TagsNo tags attached.
Attached Files
  • txt file icon tellastory.txt (12,849 bytes) 2009-01-21 15:01 -
    One day Admiral Bosch woke up on the NTF Iceni and walked to the bridge when...
    
    The hanging light above him fell down and broke!
    
    Just then the bulkhead in front of blew up and there was Mr. T standing by his hella fast van holding a penguin! "Hey foo! I'z here to throw yo azz hella far becuz those GTVA folkz told me to!" Admiral Bosch then...
    
    ...when the Iceny violently shook from a lightning bolt in the nebula. He thought to himself...
    
    "I must be nuts to want to be friends with creatures we don't even have a proper name for... but I hope I can get some cash for it..."
    
    and then he changed his mind and went back to his quarters to take a long hot sonic bath, where an enslaved Shivan scrubbed his back and cleaned his teeth...
    
    Oh sad race, Oh sad race, Oh sad Race, Oh sad Race, Oh sad Race, Oh sad Race, Oh sad Race, Oh sad Race, Oh sad Race, Oh sad Race, Oh sad Race, Oh sad Race...
    
    Amen...
    
    He awakes in his bed, a foul taste within his mouth. Damned synthesized food...
    
    Again he thought to himself, "Why can't Polaris give the resources we need to supply our ships with real food..."
    
    He quickly sat up in his bed, but he was forced into action when a communique, before he responded to it, one last thought entered his mind. Who in hell was that chicken and "Mr. T." in my dream? Maybe it's nothing...
    
    Just as he pushed the "View" button on his comm system, a massive blast rocked the ship. Alert klaxons blared, and a booming voice yelled over the loudspeaker "All fighters, scramble! This is NOT a drill, repeat, this is NOT a drill! Admiral Bosch, report to the Bridge AT ONCE!"
    
    He ran out of his quarters, naked and went to the bridge, the entire bridge crew was shocked to see the admiral w/o clothes. he then quickly made it back to his quarters to get dress, put when he opened his closet door, he found a Shivan eating up his clothes.
    
    The Shivan apologized for eating the clothes. "Sorry, Bosch ol' buddy- I got the munchies."  "Dang it Carl!" Bosch scolded his pet/love slave. "If you eat my clothes ONE MORE TIME..."
    
    Suddenly he was aware of what all the ruckus on the bridge was about: a massive pirate ship emerged from subspace in front of the Iceni.
    
    "Arrrrr..." came over the comm system. "this be the Pirate King of the High C, Dave, on board the VMS "Arrrr Matey". Surrender your ship and all of her booty!"
    
    And then Bosch started awake again. Realizing he was have a dream of a dream... He said... dammit, I really need to stop doing that space crack... its giving me some crazy dreams...
    
    
    One day Admiral Bosch woke up on the NTF Iceni and walked to the bridge when...
    
    The hanging light above him fell down and broke!
    
    Just then the bulkhead in front of blew up and there was Mr. T standing by his hella fast van holding a penguin! "Hey foo! I'z here to throw yo azz hella far becuz those GTVA folkz told me to!" Admiral Bosch then...
    
    ...when the Iceny violently shook from a lightning bolt in the nebula. He thought to himself...
    
    "I must be nuts to want to be friends with creatures we don't even have a proper name for... but I hope I can get some cash for it..."
    
    and then he changed his mind and went back to his quarters to take a long hot sonic bath, where an enslaved Shivan scrubbed his back and cleaned his teeth...
    
    Oh sad race, Oh sad race, Oh sad Race, Oh sad Race, Oh sad Race, Oh sad Race, Oh sad Race, Oh sad Race, Oh sad Race, Oh sad Race, Oh sad Race, Oh sad Race...
    
    Amen...
    
    He awakes in his bed, a foul taste within his mouth. Damned synthesized food...
    
    Again he thought to himself, "Why can't Polaris give the resources we need to supply our ships with real food..."
    
    He quickly sat up in his bed, but he was forced into action when a communique, before he responded to it, one last thought entered his mind. Who in hell was that chicken and "Mr. T." in my dream? Maybe it's nothing...
    
    Just as he pushed the "View" button on his comm system, a massive blast rocked the ship. Alert klaxons blared, and a booming voice yelled over the loudspeaker "All fighters, scramble! This is NOT a drill, repeat, this is NOT a drill! Admiral Bosch, report to the Bridge AT ONCE!"
    
    He ran out of his quarters, naked and went to the bridge, the entire bridge crew was shocked to see the admiral w/o clothes. he then quickly made it back to his quarters to get dress, put when he opened his closet door, he found a Shivan eating up his clothes.
    
    The Shivan apologized for eating the clothes. "Sorry, Bosch ol' buddy- I got the munchies."  "Dang it Carl!" Bosch scolded his pet/love slave. "If you eat my clothes ONE MORE TIME..."
    
    Suddenly he was aware of what all the ruckus on the bridge was about: a massive pirate ship emerged from subspace in front of the Iceni.
    
    "Arrrrr..." came over the comm system. "this be the Pirate King of the High C, Dave, on board the VMS "Arrrr Matey". Surrender your ship and all of her booty!"
    
    And then Bosch started awake again. Realizing he was have a dream of a dream... He said... dammit, I really need to stop doing that space crack... its giving me some crazy dreams...
    
    
    
    One day Admiral Bosch woke up on the NTF Iceni and walked to the bridge when...
    
    The hanging light above him fell down and broke!
    
    Just then the bulkhead in front of blew up and there was Mr. T standing by his hella fast van holding a penguin! "Hey foo! I'z here to throw yo azz hella far becuz those GTVA folkz told me to!" Admiral Bosch then...
    
    ...when the Iceny violently shook from a lightning bolt in the nebula. He thought to himself...
    
    "I must be nuts to want to be friends with creatures we don't even have a proper name for... but I hope I can get some cash for it..."
    
    and then he changed his mind and went back to his quarters to take a long hot sonic bath, where an enslaved Shivan scrubbed his back and cleaned his teeth...
    
    Oh sad race, Oh sad race, Oh sad Race, Oh sad Race, Oh sad Race, Oh sad Race, Oh sad Race, Oh sad Race, Oh sad Race, Oh sad Race, Oh sad Race, Oh sad Race...
    
    Amen...
    
    He awakes in his bed, a foul taste within his mouth. Damned synthesized food...
    
    Again he thought to himself, "Why can't Polaris give the resources we need to supply our ships with real food..."
    
    He quickly sat up in his bed, but he was forced into action when a communique, before he responded to it, one last thought entered his mind. Who in hell was that chicken and "Mr. T." in my dream? Maybe it's nothing...
    
    Just as he pushed the "View" button on his comm system, a massive blast rocked the ship. Alert klaxons blared, and a booming voice yelled over the loudspeaker "All fighters, scramble! This is NOT a drill, repeat, this is NOT a drill! Admiral Bosch, report to the Bridge AT ONCE!"
    
    He ran out of his quarters, naked and went to the bridge, the entire bridge crew was shocked to see the admiral w/o clothes. he then quickly made it back to his quarters to get dress, put when he opened his closet door, he found a Shivan eating up his clothes.
    
    The Shivan apologized for eating the clothes. "Sorry, Bosch ol' buddy- I got the munchies."  "Dang it Carl!" Bosch scolded his pet/love slave. "If you eat my clothes ONE MORE TIME..."
    
    Suddenly he was aware of what all the ruckus on the bridge was about: a massive pirate ship emerged from subspace in front of the Iceni.
    
    "Arrrrr..." came over the comm system. "this be the Pirate King of the High C, Dave, on board the VMS "Arrrr Matey". Surrender your ship and all of her booty!"
    
    And then Bosch started awake again. Realizing he was have a dream of a dream... He said... dammit, I really need to stop doing that space crack... its giving me some crazy dreams...
    
    
    
    
    One day Admiral Bosch woke up on the NTF Iceni and walked to the bridge when...
    
    The hanging light above him fell down and broke!
    
    Just then the bulkhead in front of blew up and there was Mr. T standing by his hella fast van holding a penguin! "Hey foo! I'z here to throw yo azz hella far becuz those GTVA folkz told me to!" Admiral Bosch then...
    
    ...when the Iceny violently shook from a lightning bolt in the nebula. He thought to himself...
    
    "I must be nuts to want to be friends with creatures we don't even have a proper name for... but I hope I can get some cash for it..."
    
    and then he changed his mind and went back to his quarters to take a long hot sonic bath, where an enslaved Shivan scrubbed his back and cleaned his teeth...
    
    Oh sad race, Oh sad race, Oh sad Race, Oh sad Race, Oh sad Race, Oh sad Race, Oh sad Race, Oh sad Race, Oh sad Race, Oh sad Race, Oh sad Race, Oh sad Race...
    
    Amen...
    
    He awakes in his bed, a foul taste within his mouth. Damned synthesized food...
    
    Again he thought to himself, "Why can't Polaris give the resources we need to supply our ships with real food..."
    
    He quickly sat up in his bed, but he was forced into action when a communique, before he responded to it, one last thought entered his mind. Who in hell was that chicken and "Mr. T." in my dream? Maybe it's nothing...
    
    Just as he pushed the "View" button on his comm system, a massive blast rocked the ship. Alert klaxons blared, and a booming voice yelled over the loudspeaker "All fighters, scramble! This is NOT a drill, repeat, this is NOT a drill! Admiral Bosch, report to the Bridge AT ONCE!"
    
    He ran out of his quarters, naked and went to the bridge, the entire bridge crew was shocked to see the admiral w/o clothes. he then quickly made it back to his quarters to get dress, put when he opened his closet door, he found a Shivan eating up his clothes.
    
    The Shivan apologized for eating the clothes. "Sorry, Bosch ol' buddy- I got the munchies."  "Dang it Carl!" Bosch scolded his pet/love slave. "If you eat my clothes ONE MORE TIME..."
    
    Suddenly he was aware of what all the ruckus on the bridge was about: a massive pirate ship emerged from subspace in front of the Iceni.
    
    "Arrrrr..." came over the comm system. "this be the Pirate King of the High C, Dave, on board the VMS "Arrrr Matey". Surrender your ship and all of her booty!"
    
    And then Bosch started awake again. Realizing he was have a dream of a dream... He said... dammit, I really need to stop doing that space crack... its giving me some crazy dreams...
    
    
    
    
    One day Admiral Bosch woke up on the NTF Iceni and walked to the bridge when...
    
    The hanging light above him fell down and broke!
    
    Just then the bulkhead in front of blew up and there was Mr. T standing by his hella fast van holding a penguin! "Hey foo! I'z here to throw yo azz hella far becuz those GTVA folkz told me to!" Admiral Bosch then...
    
    ...when the Iceny violently shook from a lightning bolt in the nebula. He thought to himself...
    
    "I must be nuts to want to be friends with creatures we don't even have a proper name for... but I hope I can get some cash for it..."
    
    and then he changed his mind and went back to his quarters to take a long hot sonic bath, where an enslaved Shivan scrubbed his back and cleaned his teeth...
    
    Oh sad race, Oh sad race, Oh sad Race, Oh sad Race, Oh sad Race, Oh sad Race, Oh sad Race, Oh sad Race, Oh sad Race, Oh sad Race, Oh sad Race, Oh sad Race...
    
    Amen...
    
    He awakes in his bed, a foul taste within his mouth. Damned synthesized food...
    
    Again he thought to himself, "Why can't Polaris give the resources we need to supply our ships with real food..."
    
    He quickly sat up in his bed, but he was forced into action when a communique, before he responded to it, one last thought entered his mind. Who in hell was that chicken and "Mr. T." in my dream? Maybe it's nothing...
    
    Just as he pushed the "View" button on his comm system, a massive blast rocked the ship. Alert klaxons blared, and a booming voice yelled over the loudspeaker "All fighters, scramble! This is NOT a drill, repeat, this is NOT a drill! Admiral Bosch, report to the Bridge AT ONCE!"
    
    He ran out of his quarters, naked and went to the bridge, the entire bridge crew was shocked to see the admiral w/o clothes. he then quickly made it back to his quarters to get dress, put when he opened his closet door, he found a Shivan eating up his clothes.
    
    The Shivan apologized for eating the clothes. "Sorry, Bosch ol' buddy- I got the munchies."  "Dang it Carl!" Bosch scolded his pet/love slave. "If you eat my clothes ONE MORE TIME..."
    
    Suddenly he was aware of what all the ruckus on the bridge was about: a massive pirate ship emerged from subspace in front of the Iceni.
    
    "Arrrrr..." came over the comm system. "this be the Pirate King of the High C, Dave, on board the VMS "Arrrr Matey". Surrender your ship and all of her booty!"
    
    And then Bosch started awake again. Realizing he was have a dream of a dream... He said... dammit, I really need to stop doing that space crack... its giving me some crazy dreams...
    txt file icon tellastory.txt (12,849 bytes) 2009-01-21 15:01 +
  • ? file icon fiction viewer test.fs2 (2,175 bytes) 2009-01-21 15:02
  • txt file icon errorlog.txt (30,460 bytes) 2009-01-26 03:09 -
    
    
    
    fs2_open_3_6_10r-20090120_r5052 caused an Access Violation in module fs2_open_3_6_10r-20090120_r5052.exe at 0023:00000000.
    Exception handler called in FreeSpace 2 Main Thread.
    Error occurred at 1/22/2009 12:59:48.
    D:\SVN\trunk\Codename Hermes\fs2_open_3_6_10r-20090120_r5052.exe, run by Kelast.
    4 processor(s), type 586.
    0 MBytes physical memory.
    Read from location 00000000 caused an access violation.
    
    Registers:
    EAX=00000046 CS=0023 EIP=00000000 EFLGS=00010216
    EBX=00000003 SS=002b ESP=0017f9f4 EBP=00000034
    ECX=00000008 DS=002b ESI=007c0178 FS=0053
    EDX=00000008 ES=002b EDI=007c0160 GS=002b
    Bytes at CS:EIP:
    ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 
    Stack dump:
    0017f9f4: 07cd4660 00000000 00000034 00000034 00409d85 00000034 00000034 00000000
    0017fa14: 00000034 00000000 004092cb 00000034 00000035 00000034 00000006 00000001
    0017fa34: ffffffff 7793c4a4 0017fa88 00000000 00000000 00000000 00000001 00000001
    0017fa54: 77908b09 779095c0 779090f1 0017fac8 004d32cd 0017fa88 00000000 00000000
    0017fa74: 00000000 00000001 01731e8b ffffffff 00000000 0005087c 00000200 00000000
    0017fa94: 004bf2dd 01731e8b 00000000 0017fac8 0040b26c 00000020 00000017 ffffffff
    0017fab4: ffffffff ffffffff ffffffff 7ffe0000 7a608000 0017fef8 0040b39f fffffffe
    0017fad4: 00000000 00000001 535c3a44 745c4e56 6b6e7572 646f435c 6d616e65 65482065
    0017faf4: 73656d72 32736600 65706f5f 5f335f6e 30315f36 30322d72 31303930 725f3032
    0017fb14: 32353035 6578652e 00000000 00000000 00000000 00000000 00000000 00000000
    0017fb34: 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
    0017fb54: 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
    0017fb74: 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
    0017fb94: 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
    0017fbb4: 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
    0017fbd4: 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
    0017fbf4: 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
    0017fc14: 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
    0017fc34: 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
    0017fc54: 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
    0017fc74: 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
    0017fc94: 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
    0017fcb4: 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
    0017fcd4: 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
    0017fcf4: 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
    0017fd14: 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
    0017fd34: 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
    0017fd54: 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
    0017fd74: 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
    0017fd94: 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
    0017fdb4: 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
    0017fdd4: 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
    0017fdf4: 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
    0017fe14: 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
    0017fe34: 00000000 03882ab0 03882fdc 0017fe84 006aed15 03880000 00000000 77e10592
    0017fe54: 77e27f4d ffffffff 00000024 0017fe6c 00000004 00000000 52dee51b 0017fe80
    0017fe74: 006a94c1 03882fe0 03882fe0 fffffffe 00000001 0070148c 0017fe98 006ab659
    0017fe94: 0017fec4 00000000 038807c8 0017fec4 006a9757 00000000 00000000 0017fed0
    0017feb4: 006a9764 0017fed0 0069cfe1 01731e89 0017fee0 006b0128 00000000 00773d28
    0017fed4: 03881800 038807c8 ffffffff 0017fad0 0017f5e4 0017ff78 006f05a0 00770a48
    0017fef4: 00000000 0017ff88 0069d71e 00400000 00000000 01731e8b 00000001 9cf654ad
    0017ff14: 00000000 00000000 7efde000 00000044 01757460 0175a230 0175ae20 00000000
    0017ff34: 00000000 00000000 00000000 00000000 00000000 00000000 00000001 00000001
    0017ff54: 00000000 ffffffff ffffffff ffffffff 0017ff74 00000000 00000000 0017ff10
    0017ff74: 475b29ad 0017ffc4 006ab9c0 9c9700d5 00000001 0017ff94 769ae3f3 7efde000
    0017ff94: 0017ffd4 77e6cfed 7efde000 77894df5 00000000 00000000 7efde000 00000000
    0017ffb4: 00000000 00000000 0017ffa0 00000000 ffffffff 77ea2926 007f6819 00000000
    0017ffd4: 0017ffec 77e6d1ff 0069d789 7efde000 00000000 00000000 00000000 00000000
    0017fff4: 0069d789 7efde000 00000000
    
    	Module list: names, addresses, sizes, time stamps and file times:
    C:\Program Files (x86)\Unlocker\UnlockerHook.dll, loaded at 0x00250000 - 4608 bytes - 481a9567 - file date is 5/2/2008 05:15:36
    D:\SVN\trunk\Codename Hermes\fs2_open_3_6_10r-20090120_r5052.exe, loaded at 0x00400000 - 4167168 bytes - 4975e0a1 - file date is 1/20/2009 15:33:08
    C:\Windows\system32\wrap_oal.dll, loaded at 0x03b90000 - 409600 bytes - 452c3235 - file date is 1/4/2009 15:53:16
    C:\Windows\system32\OpenAL32.dll, loaded at 0x10000000 - 114688 bytes - 454251df - file date is 1/4/2009 15:53:16
    C:\PROGRA~2\KASPER~1\KASPER~1\adialhk.dll, loaded at 0x30000000 - 84496 bytes - 47ac76e7 - file date is 2/8/2008 19:37:30
    C:\PROGRA~2\KASPER~1\KASPER~1\r3hook.dll, loaded at 0x30780000 - 72208 bytes - 47ac76e7 - file date is 2/8/2008 19:37:52
    C:\Windows\system32\atioglxx.dll, loaded at 0x69020000 - 10981376 bytes - 49344650 - file date is 12/1/2008 21:17:28
    C:\Windows\system32\OPENGL32.dll, loaded at 0x6ce80000 - 707584 bytes - 4549bda4 - file date is 11/2/2006 10:46:14
    C:\Windows\system32\GLU32.dll, loaded at 0x6d070000 - 133632 bytes - 4549bcd6 - file date is 11/2/2006 10:46:06
    C:\Windows\system32\audioeng.dll, loaded at 0x6d2d0000 - 397312 bytes - 4791a639 - file date is 1/18/2008 23:33:46
    C:\Windows\system32\AUDIOSES.DLL, loaded at 0x6f6b0000 - 116224 bytes - 4791a63b - file date is 1/18/2008 23:33:46
    C:\Windows\System32\MMDevApi.dll, loaded at 0x6f6e0000 - 149504 bytes - 4791a6ed - file date is 1/18/2008 23:34:50
    C:\Windows\system32\DINPUT.dll, loaded at 0x6fb10000 - 136192 bytes - 4549bcd6 - file date is 11/2/2006 15:59:42
    C:\Windows\system32\HID.DLL, loaded at 0x701b0000 - 22016 bytes - 4549bcde - file date is 11/2/2006 10:46:06
    C:\Windows\system32\IconCodecService.dll, loaded at 0x701c0000 - 9728 bytes - 4549bcec - file date is 11/2/2006 15:59:44
    C:\Windows\system32\AVRT.dll, loaded at 0x70590000 - 12800 bytes - 4791a655 - file date is 1/18/2008 23:33:48
    C:\Windows\SysWOW64\schannel.dll, loaded at 0x728a0000 - 268288 bytes - 4791a758 - file date is 1/18/2008 23:36:20
    C:\Windows\system32\credssp.dll, loaded at 0x72a20000 - 15872 bytes - 4791a769 - file date is 1/18/2008 23:34:00
    C:\Windows\system32\DDRAW.dll, loaded at 0x72ee0000 - 522752 bytes - 4791a66c - file date is 1/18/2008 23:34:04
    C:\Windows\system32\dwmapi.dll, loaded at 0x73320000 - 39936 bytes - 4791a6c1 - file date is 1/18/2008 23:34:08
    C:\Windows\system32\DCIMAN32.dll, loaded at 0x73330000 - 10240 bytes - 4549bccc - file date is 11/2/2006 10:46:04
    C:\Windows\system32\POWRPROF.dll, loaded at 0x73350000 - 97280 bytes - 4791a780 - file date is 1/18/2008 23:36:08
    C:\Windows\system32\dsound.dll, loaded at 0x73370000 - 444416 bytes - 4791a6b5 - file date is 1/18/2008 23:34:08
    C:\Windows\system32\WindowsCodecs.dll, loaded at 0x73550000 - 712704 bytes - 48b61ddc - file date is 8/28/2008 04:40:12
    C:\Windows\system32\WINMM.dll, loaded at 0x73620000 - 189952 bytes - 4791a7b6 - file date is 1/18/2008 23:36:56
    C:\Windows\system32\uxtheme.dll, loaded at 0x73930000 - 234496 bytes - 4791a783 - file date is 1/18/2008 23:32:20
    C:\Program Files (x86)\Common Files\microsoft shared\ink\tiptsf.dll, loaded at 0x73c20000 - 380416 bytes - 4791a78e - file date is 1/18/2008 23:36:42
    C:\Windows\system32\NETAPI32.dll, loaded at 0x74b70000 - 466944 bytes - 48f6c69e - file date is 10/16/2008 05:47:34
    C:\Windows\system32\OLEACC.dll, loaded at 0x74c70000 - 215040 bytes - 4791a74d - file date is 1/18/2008 23:36:02
    C:\Windows\WinSxS\x86_microsoft.windows.common-controls_6595b64144ccf1df_5.82.6001.18000_none_886786f450a74a05\COMCTL32.dll, loaded at 0x74cb0000 - 531968 bytes - 4791a629 - file date is 1/18/2008 23:26:34
    C:\Windows\WinSxS\x86_microsoft.windows.common-controls_6595b64144ccf1df_6.0.6001.18000_none_5cdbaa5a083979cc\comctl32.dll, loaded at 0x74fc0000 - 1684480 bytes - 4791a752 - file date is 1/18/2008 23:26:36
    C:\Windows\system32\USERENV.dll, loaded at 0x75160000 - 108032 bytes - 4791a775 - file date is 1/18/2008 23:36:48
    C:\Windows\system32\CRYPT32.dll, loaded at 0x75180000 - 977408 bytes - 4791a76d - file date is 1/18/2008 23:34:02
    C:\Windows\system32\mswsock.dll, loaded at 0x75280000 - 223232 bytes - 4791a72f - file date is 1/18/2008 23:35:16
    C:\Windows\system32\WINTRUST.dll, loaded at 0x752d0000 - 171520 bytes - 4791a7c9 - file date is 1/18/2008 23:36:58
    C:\Windows\system32\MSASN1.dll, loaded at 0x75a00000 - 59904 bytes - 4549bd41 - file date is 11/2/2006 10:46:08
    C:\Windows\System32\wshtcpip.dll, loaded at 0x75c30000 - 9216 bytes - 4791a7b6 - file date is 1/18/2008 23:37:12
    C:\Windows\system32\VERSION.dll, loaded at 0x75c40000 - 20480 bytes - 4791a776 - file date is 1/18/2008 23:36:48
    C:\Windows\system32\WSOCK32.dll, loaded at 0x75ca0000 - 15360 bytes - 4791a7c1 - file date is 1/18/2008 23:37:12
    C:\Windows\syswow64\Secur32.dll, loaded at 0x75fa0000 - 76800 bytes - 4791a783 - file date is 1/18/2008 23:32:20
    C:\Windows\syswow64\WS2_32.dll, loaded at 0x76090000 - 179200 bytes - 4791a798 - file date is 1/18/2008 23:37:10
    C:\Windows\syswow64\SETUPAPI.dll, loaded at 0x760c0000 - 1590272 bytes - 4791a754 - file date is 1/18/2008 23:36:26
    C:\Windows\syswow64\USP10.dll, loaded at 0x76250000 - 501760 bytes - 4791a776 - file date is 1/18/2008 23:36:48
    C:\Windows\syswow64\MSCTF.dll, loaded at 0x762d0000 - 806912 bytes - 4791a720 - file date is 1/18/2008 23:34:56
    C:\Windows\syswow64\LPK.DLL, loaded at 0x763a0000 - 23552 bytes - 4791a783 - file date is 1/18/2008 23:32:20
    C:\Windows\syswow64\OLEAUT32.dll, loaded at 0x76480000 - 563200 bytes - 4791a74f - file date is 1/18/2008 23:36:02
    C:\Windows\syswow64\msvcrt.dll, loaded at 0x76510000 - 680448 bytes - 4791a727 - file date is 1/18/2008 23:35:16
    C:\Windows\syswow64\imagehlp.dll, loaded at 0x765c0000 - 153088 bytes - 4791a709 - file date is 1/18/2008 23:34:34
    C:\Windows\system32\IMM32.DLL, loaded at 0x765f0000 - 116224 bytes - 4791a781 - file date is 1/18/2008 23:32:18
    C:\Windows\syswow64\ole32.dll, loaded at 0x76650000 - 1315328 bytes - 4791a74c - file date is 1/18/2008 23:36:02
    C:\Windows\syswow64\kernel32.dll, loaded at 0x76920000 - 855552 bytes - 4791a81d - file date is 1/18/2008 23:32:20
    C:\Windows\syswow64\ADVAPI32.dll, loaded at 0x76a30000 - 798720 bytes - 4791a64b - file date is 1/18/2008 23:33:44
    C:\Windows\syswow64\RPCRT4.dll, loaded at 0x76b00000 - 677376 bytes - 48002cd4 - file date is 4/12/2008 04:30:30
    C:\Windows\syswow64\SHELL32.dll, loaded at 0x76bf0000 - 11580928 bytes - 4912ecfb - file date is 11/6/2008 14:14:26
    C:\Windows\syswow64\CLBCatQ.DLL, loaded at 0x777d0000 - 523776 bytes - 4791a66f - file date is 1/18/2008 23:33:54
    C:\Windows\syswow64\GDI32.dll, loaded at 0x77860000 - 303104 bytes - 48fd676e - file date is 10/21/2008 06:24:00
    C:\Windows\syswow64\USER32.dll, loaded at 0x778f0000 - 648192 bytes - 4791a783 - file date is 1/18/2008 23:32:20
    C:\Windows\syswow64\SHLWAPI.dll, loaded at 0x779d0000 - 351744 bytes - 4791a75c - file date is 1/18/2008 23:36:30
    C:\Windows\syswow64\PSAPI.DLL, loaded at 0x77a30000 - 12288 bytes - 4549bd99 - file date is 11/2/2006 10:46:14
    C:\Windows\syswow64\NSI.dll, loaded at 0x77a40000 - 8192 bytes - 4791a7a4 - file date is 1/18/2008 23:35:58
    C:\Windows\SysWOW64\ntdll.dll, loaded at 0x77df0000 - 1165688 bytes - 4791a783 - file date is 1/18/2008 23:38:16
    
    
    
    
    fs2_open_3_6_10r-20090120_r5052 caused an Access Violation in module fs2_open_3_6_10r-20090120_r5052.exe at 0023:004784b1.
    Exception handler called in FreeSpace 2 Main Thread.
    Error occurred at 1/24/2009 09:34:18.
    D:\SVN\trunk\Codename Hermes\fs2_open_3_6_10r-20090120_r5052.exe, run by Kelast.
    4 processor(s), type 586.
    0 MBytes physical memory.
    Read from location 00000000 caused an access violation.
    
    Registers:
    EAX=00000000 CS=0023 EIP=004784b1 EFLGS=00010202
    EBX=093a830f SS=002b ESP=0017f0f0 EBP=08e80020
    ECX=005282af DS=002b ESI=08b4c4d8 FS=0053
    EDX=ffff88a9 ES=002b EDI=000000f0 GS=002b
    Bytes at CS:EIP:
    8b 10 89 16 8b 50 04 89 56 04 8b 40 08 89 46 08 
    Stack dump:
    0017f0f0: 005282af 08e80020 0017f124 00000050 00000001 004787b6 005282af 00000000
    0017f110: 005281af 08e80020 0052828f 00000058 00000050 00000060 0047882e 0052828f
    0017f130: 08e80020 0017f15c 00000050 00000068 00000058 004787ad 00527f0f 08e80020
    0017f150: 005281af 00000058 0047883e 00000060 0047882e 005281af 08e80020 0017f194
    0017f170: 00000050 00000068 00000058 004787ad 00527ea7 08e80020 00000050 00000000
    0017f190: 0047883e 0017f1c4 00478854 00527f0f 08e80020 00000068 00000058 004787ad
    0017f1b0: 005276c7 08e80020 00527ea7 00000058 00000058 00000060 0047882e 00527ea7
    0017f1d0: 08e80020 0017f1fc 00000050 00000068 00000058 004787ad 005267e7 08e80020
    0017f1f0: 005276c7 00000058 005286ef 00000060 0047882e 005276c7 08e80020 0017f234
    0017f210: 00000050 00000068 00000058 004787ad 005245c7 08e80020 005267e7 00000058
    0017f230: 00000050 00000060 0047882e 005267e7 08e80020 0017f26c 00000050 00000068
    0017f250: 00000058 004787ad 00520887 08e80020 005245c7 00000058 0047883e 00000060
    0017f270: 0047882e 005245c7 08e80020 0017f2a4 00000050 00000068 00000058 004787ad
    0017f290: 0052081f 08e80020 00000050 00000000 0047883e 0017f2d4 00478854 00520887
    0017f2b0: 08e80020 00000068 00000058 004787ad 005207b7 08e80020 00000050 00000000
    0017f2d0: 0047883e 0017f304 00478854 0052081f 08e80020 00000068 00000058 004787ad
    0017f2f0: 004fc717 08e80020 005207b7 00000058 0000000a 00000060 0047882e 005207b7
    0017f310: 08e80020 0017f33c 00000050 00000068 00000058 004787ad 004adb07 08e80020
    0017f330: 004fc717 00000058 77a12926 00000060 0047882e 004fc717 08e80020 0017f374
    0017f350: 00000050 00000068 00000058 004787ad 0041cf77 08e80020 004adb07 00000058
    0017f370: 77a12926 00000060 0047882e 004adb07 08e80020 0017f3ac 00000050 00000068
    0017f390: 00000058 004787ad 003022f7 08e80020 0041cf77 00000058 03860000 00000060
    0017f3b0: 0047882e 0041cf77 08e80020 0017f3e4 00000050 00000068 00000058 004787ad
    0017f3d0: 0008e4d7 08e80020 003022f7 00000058 00000026 00000060 0047882e 003022f7
    0017f3f0: 08e80020 0017f418 00000050 00000068 00000058 004787ad 00aa2ed0 00005659
    0017f410: 07e25d78 08e80020 00000000 00478ad5 00000000 08e80020 00c67e50 07e16b40
    0017f430: 0017f864 00009438 00000b59 00773590 0017f474 006a38e5 093c51be ffabae61
    0017f450: 07e19929 00000b59 00c67588 00c67588 08e80020 00000000 0017f474 006ab659
    0017f470: 039d6be8 0017f480 006a4efc 00000014 0017f4bc 006a3ac4 00773590 006a3a84
    0017f490: 6660edd1 00c67588 005712fe 08e80020 00545cf7 0017f490 6601b7ad 0017fee8
    0017f4b0: 006ab9c0 6601b7ad fffffffe 006a3a84 006a3ade 08e80020 ffffffff 00000001
    0017f4d0: 00545cf7 00773590 00ab6ff5 005e3972 08e80020 00000001 00545cf7 00773590
    0017f4f0: 07e16b40 00009438 00c67e50 00441e11 07e25d78 07e16b40 00000000 00000000
    0017f510: 07e16b40 00c67e50 0000003e 00009438 07e25dac 324a424f 00000001 01000000
    0017f530: 08e80020 00c6756c 00ab6ff5 07e16b48 00545d52 00000000 00000000 00000000
    0017f550: 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
    0017f570: 00000000 00000000 00000000 00000000 00000000 00000000 0017f5f0 76d0c7b9
    0017f590: 00000000 324a424f 000003ef 00000000 021663b0 00000127 00000000 00000000
    0017f5b0: 00000500 00000400 00000000 00000000 00000000 00000000 00000000 00000000
    0017f5d0: 00000000 00000001 30000000 74150000 73627573 65747379 0000006d 000003ef
    0017f5f0: 0017f66c 76d0c798 021663b0 00000000 03ef01e0 00020668 ffffffff 00000084
    0017f610: 77590000 759d0000 6b3d0000 759c0000 65707300 6c616963 6275733d 74737973
    0017f630: 0a0d6d65 766f6624 3038313d 6e240a0d 3d656d61 546e7547 65727275 76d00074
    0017f650: 03540800 00020668 76d0b703 76d0b735 00020668 00000020 00020668 02020001
    0017f670: 00000000 0000029e 00000001 00000000 004d3530 00000000 00000001 0017f6e8
    0017f690: 73f20c14 00020668 00000084 00000000 03ef01e0 00000000 004d3530 00000000
    0017f6b0: 0017f740 00000100 00000001 00000040 0017f840 000005bd 07e16b38 03860000
    0017f6d0: 76d3b55e 00020668 060792e4 00000000 060774c8 00004587 0017f7dc 000005bd
    0017f6f0: 03860000 07e16b38 0017f7dc 7798f4b5 779c2c10 77a14951 03860000 00000000
    0017f710: 03805a64 03802f68 05e5ad40 0633c54c 03803078 0017f73c 03802f68 69a83b08
    0017f730: 00004587 00000000 03802f68 0000077f 03790148 00000003 00000008 000005bd
    0017f750: 00000000 00000000 00000000 00000000 00000000 000007ff 00000000 02000002
    0017f770: 07e93548 00000001 073c28c0 00000000 000007ff 3b0098a3 03790148 00000001
    0017f790: 0633c540 07e16b40 0000000c 00000002 07e16b40 697646e9 07e16b3f 07e16b3a
    0017f7b0: 00000000 07e16b3b 00000000 03860000 01077498 0017f704 0000000a 0017fee8
    0017f7d0: 77a12926 002e631d fffffffe 779c2c10 7798f2b8 00002ddc 00002de8 07e16b38
    0017f7f0: 779b2f1f 00002ddc 00000001 0614be80 00000000 6958c9d2 0614be80 6958c9f7
    0017f810: 0614be80 068b9f78 0017f9a4 00000000 00000000 05e5ad40 068b9f78 060d1a20
    0017f830: 068b9f78 068b9f78 068bbaa8 068bbaa8 027fcc48 0017f9a4 00000000 0017f86c
    0017f850: 006c7ef6 07e16b40 00002d80 03860000 0000005c 0017f9b0 00444383 07e16b40
    0017f870: 0151e420 00000000 00000000 00000000 0151e420 00000000 00000000 068bc840
    0017f890: 068bc840 00000000 00000000 3f800000 00000000 00000000 00000000 00000000
    0017f8b0: 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
    0017f8d0: 00000000 00000000 00000000 00000000 00000000 3ecccccc 00000001 05e5ad40
    0017f8f0: 05e5ad40 073c2678 05e5ad40 073c2678 00000002 00000000 694be747 05e5ad40
    0017f910: 00000000 00000002 694be8c6 0017f9a8 06041760 00000000 00000000 0017f9a8
    0017f930: 69a48840 69a487c0 0017f98c 00000001 00000000 00000001 00000003 0017f9a0
    0017f950: 00000010 0618ec48 00000004 69a4d1a8 691d6104 69167801 000004b5 000003f6
    0017f970: 6b442a60 00000001 69167801 063fc510 00000008 69a4a440 00000000 83640020
    0017f990: 691d64c0 00000000 00000004 69a487c0 00000000 0050e4bc 00000000 00000000
    0017f9b0: 00000068 0050e734 0151e420 00000000 00000000 00000000 07ec5fa0 07e9bae8
    0017f9d0: 00000071 07ec5f07 00514212 0151e420 00000000 00000001 0052a66c 07e9bae8
    0017f9f0: 07e9bae8 0052827a 3c088000 00000268 07ec5f48 07ec5fb4 00528206 3c088000
    0017fa10: 07ec5fa0 07ec6524 07e9b5e0 07ec64f0 00000008 005277b4 3c088000 0017fa44
    0017fa30: 00000001 015618c0 00000001 01561901 00000032 00000008 07ec6524 00527ccc
    0017fa50: 3c088000 00000001 00000032 00000032 ffffffff 693a14db 00000009 00514cbd
    0017fa70: 3c088000 00000001 00000032 00000032 ffffffff 00000001 3c088000 0040a944
    0017fa90: bf110000 004bf314 002c1e8b 00000000 0017fac8 0040b26c 00000020 00000015
    0017fab0: ffffffff ffffffff ffffffff ffffffff 7ffe0000 7a608000 0017fef8 0040b39f
    0017fad0: fffffffe 00000000 00000001 535c3a44 745c4e56 6b6e7572 646f435c 6d616e65
    0017faf0: 65482065 73656d72 32736600 65706f5f 5f335f6e 30315f36 30322d72 31303930
    0017fb10: 725f3032 32353035 6578652e 00000000 00000000 00000000 00000000 00000000
    0017fb30: 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
    0017fb50: 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
    0017fb70: 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
    0017fb90: 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
    0017fbb0: 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
    0017fbd0: 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
    0017fbf0: 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
    0017fc10: 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
    0017fc30: 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
    0017fc50: 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
    0017fc70: 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
    0017fc90: 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
    0017fcb0: 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
    0017fcd0: 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
    0017fcf0: 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
    0017fd10: 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
    0017fd30: 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
    0017fd50: 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
    0017fd70: 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
    0017fd90: 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
    0017fdb0: 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
    0017fdd0: 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
    0017fdf0: 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
    0017fe10: 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
    0017fe30: 00000000 00000000 03862ab0 03862fdc 0017fe84 006aed15 03860000 00000000
    0017fe50: 77980592 77997f4d ffffffff 00000024 0017fe6c 00000004 00000000 ec802c8c
    0017fe70: 0017fe80 006a94c1 03862fe0 03862fe0 fffffffe 00000001 0070148c 0017fe98
    0017fe90: 006ab659 0017fec4 00000000 038607c8 0017fec4 006a9757 00000000 00000000
    0017feb0: 0017fed0 006a9764 0017fed0 0069cfe1 002c1e89 0017fee0 006b0128 00000000
    0017fed0: 00773d28 03861800 038607c8 ffffffff 0017fad0 0017ece0 0017ff78 006f05a0
    0017fef0: 00770a48 00000000 0017ff88 0069d71e 00400000 00000000 002c1e8b 00000001
    0017ff10: 6660e6e5 00000000 00000000 7efde000 00000044 002e7460 002ea230 002eae20
    0017ff30: 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000001
    0017ff50: 00000001 00000000 ffffffff ffffffff ffffffff 0017ff74 00000000 00000000
    0017ff70: 0017ff10 18962d05 0017ffc4 006ab9c0 6601b29d 00000001 0017ff94 7716e3f3
    0017ff90: 7efde000 0017ffd4 779dcfed 7efde000 77a14159 00000000 00000000 7efde000
    0017ffb0: 00000000 00000000 00000000 0017ffa0 00000000 ffffffff 77a12926 002e64b5
    0017ffd0: 00000000 0017ffec 779dd1ff 0069d789 7efde000 00000000 00000000 00000000
    0017fff0: 00000000 0069d789 7efde000 00000000
    
    	Module list: names, addresses, sizes, time stamps and file times:
    C:\Program Files (x86)\Unlocker\UnlockerHook.dll, loaded at 0x002a0000 - 4608 bytes - 481a9567 - file date is 5/2/2008 05:15:36
    D:\SVN\trunk\Codename Hermes\fs2_open_3_6_10r-20090120_r5052.exe, loaded at 0x00400000 - 4167168 bytes - 4975e0a1 - file date is 1/20/2009 15:33:08
    C:\Windows\system32\wrap_oal.dll, loaded at 0x03b20000 - 409600 bytes - 452c3235 - file date is 1/4/2009 15:53:16
    C:\Windows\system32\OpenAL32.dll, loaded at 0x10000000 - 114688 bytes - 454251df - file date is 1/4/2009 15:53:16
    C:\PROGRA~2\KASPER~1\KASPER~1\adialhk.dll, loaded at 0x30000000 - 84496 bytes - 47ac76e7 - file date is 2/8/2008 19:37:30
    C:\PROGRA~2\KASPER~1\KASPER~1\r3hook.dll, loaded at 0x30780000 - 72208 bytes - 47ac76e7 - file date is 2/8/2008 19:37:52
    C:\Windows\system32\atioglxx.dll, loaded at 0x69020000 - 10981376 bytes - 49344650 - file date is 12/1/2008 21:17:28
    C:\Windows\system32\audioeng.dll, loaded at 0x6b3d0000 - 397312 bytes - 4791a639 - file date is 1/18/2008 23:33:46
    C:\Windows\system32\OPENGL32.dll, loaded at 0x6b440000 - 707584 bytes - 4549bda4 - file date is 11/2/2006 10:46:14
    C:\Windows\System32\MMDevApi.dll, loaded at 0x6b760000 - 149504 bytes - 4791a6ed - file date is 1/18/2008 23:34:50
    C:\Windows\SysWOW64\schannel.dll, loaded at 0x6d9f0000 - 268288 bytes - 4791a758 - file date is 1/18/2008 23:36:20
    C:\Windows\system32\credssp.dll, loaded at 0x6da90000 - 15872 bytes - 4791a769 - file date is 1/18/2008 23:34:00
    C:\Windows\system32\HID.DLL, loaded at 0x724d0000 - 22016 bytes - 4549bcde - file date is 11/2/2006 10:46:06
    C:\Windows\system32\DDRAW.dll, loaded at 0x726f0000 - 522752 bytes - 4791a66c - file date is 1/18/2008 23:34:04
    C:\Windows\system32\IconCodecService.dll, loaded at 0x72960000 - 9728 bytes - 4549bcec - file date is 11/2/2006 15:59:44
    C:\Windows\System32\wshtcpip.dll, loaded at 0x72f80000 - 9216 bytes - 4791a7b6 - file date is 1/18/2008 23:37:12
    C:\Windows\system32\mswsock.dll, loaded at 0x73040000 - 223232 bytes - 4791a72f - file date is 1/18/2008 23:35:16
    C:\Windows\system32\WSOCK32.dll, loaded at 0x73310000 - 15360 bytes - 4791a7c1 - file date is 1/18/2008 23:37:12
    C:\Windows\system32\POWRPROF.dll, loaded at 0x734a0000 - 97280 bytes - 4791a780 - file date is 1/18/2008 23:36:08
    C:\Windows\system32\dsound.dll, loaded at 0x734c0000 - 444416 bytes - 4791a6b5 - file date is 1/18/2008 23:34:08
    C:\Windows\system32\OLEACC.dll, loaded at 0x73580000 - 215040 bytes - 4791a74d - file date is 1/18/2008 23:36:02
    C:\Windows\system32\SAMLIB.dll, loaded at 0x736f0000 - 57344 bytes - 4791a74d - file date is 1/18/2008 23:36:20
    C:\Windows\system32\NTMARTA.DLL, loaded at 0x73710000 - 121344 bytes - 4791a7b8 - file date is 1/18/2008 23:36:00
    C:\Windows\system32\WindowsCodecs.dll, loaded at 0x738e0000 - 712704 bytes - 48b61ddc - file date is 8/28/2008 04:40:12
    C:\Windows\system32\WINMM.dll, loaded at 0x739b0000 - 189952 bytes - 4791a7b6 - file date is 1/18/2008 23:36:56
    C:\Windows\system32\NETAPI32.dll, loaded at 0x739f0000 - 466944 bytes - 48f6c69e - file date is 10/16/2008 05:47:34
    C:\Windows\system32\CRYPT32.dll, loaded at 0x73ac0000 - 977408 bytes - 4791a76d - file date is 1/18/2008 23:34:02
    C:\Windows\system32\USERENV.dll, loaded at 0x73da0000 - 108032 bytes - 4791a775 - file date is 1/18/2008 23:36:48
    C:\Windows\WinSxS\x86_microsoft.windows.common-controls_6595b64144ccf1df_5.82.6001.18000_none_886786f450a74a05\COMCTL32.dll, loaded at 0x73de0000 - 531968 bytes - 4791a629 - file date is 1/18/2008 23:26:34
    C:\Windows\system32\uxtheme.dll, loaded at 0x73f10000 - 234496 bytes - 4791a783 - file date is 1/18/2008 23:32:20
    C:\Windows\system32\dwmapi.dll, loaded at 0x73fa0000 - 39936 bytes - 4791a6c1 - file date is 1/18/2008 23:34:08
    C:\Windows\system32\DCIMAN32.dll, loaded at 0x73fb0000 - 10240 bytes - 4549bccc - file date is 11/2/2006 10:46:04
    C:\Windows\system32\MSASN1.dll, loaded at 0x73fc0000 - 59904 bytes - 4549bd41 - file date is 11/2/2006 10:46:08
    C:\Windows\WinSxS\x86_microsoft.windows.common-controls_6595b64144ccf1df_6.0.6001.18000_none_5cdbaa5a083979cc\comctl32.dll, loaded at 0x74150000 - 1684480 bytes - 4791a752 - file date is 1/18/2008 23:26:36
    C:\Windows\system32\WINTRUST.dll, loaded at 0x742f0000 - 171520 bytes - 4791a7c9 - file date is 1/18/2008 23:36:58
    C:\Program Files (x86)\Common Files\microsoft shared\ink\tiptsf.dll, loaded at 0x74430000 - 380416 bytes - 4791a78e - file date is 1/18/2008 23:36:42
    C:\Windows\system32\VERSION.dll, loaded at 0x756a0000 - 20480 bytes - 4791a776 - file date is 1/18/2008 23:36:48
    C:\Windows\system32\AVRT.dll, loaded at 0x759c0000 - 12800 bytes - 4791a655 - file date is 1/18/2008 23:33:48
    C:\Windows\system32\AUDIOSES.DLL, loaded at 0x759d0000 - 116224 bytes - 4791a63b - file date is 1/18/2008 23:33:46
    C:\Windows\system32\DINPUT.dll, loaded at 0x75a00000 - 136192 bytes - 4549bcd6 - file date is 11/2/2006 15:59:42
    C:\Windows\system32\GLU32.dll, loaded at 0x75a30000 - 133632 bytes - 4549bcd6 - file date is 11/2/2006 10:46:06
    C:\Windows\syswow64\Secur32.dll, loaded at 0x75b10000 - 76800 bytes - 4791a783 - file date is 1/18/2008 23:32:20
    C:\Windows\syswow64\LPK.DLL, loaded at 0x75b70000 - 23552 bytes - 4791a783 - file date is 1/18/2008 23:32:20
    C:\Windows\syswow64\SHELL32.dll, loaded at 0x75b80000 - 11580928 bytes - 4912ecfb - file date is 11/6/2008 14:14:26
    C:\Windows\syswow64\SETUPAPI.dll, loaded at 0x76690000 - 1590272 bytes - 4791a754 - file date is 1/18/2008 23:36:26
    C:\Windows\syswow64\ole32.dll, loaded at 0x76820000 - 1315328 bytes - 4791a74c - file date is 1/18/2008 23:36:02
    C:\Windows\syswow64\SHLWAPI.dll, loaded at 0x769f0000 - 351744 bytes - 4791a75c - file date is 1/18/2008 23:36:30
    C:\Windows\system32\IMM32.DLL, loaded at 0x76a50000 - 116224 bytes - 4791a781 - file date is 1/18/2008 23:32:18
    C:\Windows\syswow64\RPCRT4.dll, loaded at 0x76ab0000 - 677376 bytes - 48002cd4 - file date is 4/12/2008 04:30:30
    C:\Windows\syswow64\MSCTF.dll, loaded at 0x76ba0000 - 806912 bytes - 4791a720 - file date is 1/18/2008 23:34:56
    C:\Windows\syswow64\USP10.dll, loaded at 0x76c70000 - 501760 bytes - 4791a776 - file date is 1/18/2008 23:36:48
    C:\Windows\syswow64\USER32.dll, loaded at 0x76cf0000 - 648192 bytes - 4791a783 - file date is 1/18/2008 23:32:20
    C:\Windows\syswow64\WLDAP32.dll, loaded at 0x76dc0000 - 289280 bytes - 4791a7de - file date is 1/18/2008 23:36:58
    C:\Windows\syswow64\PSAPI.DLL, loaded at 0x76ea0000 - 12288 bytes - 4549bd99 - file date is 11/2/2006 10:46:14
    C:\Windows\syswow64\NSI.dll, loaded at 0x76f10000 - 8192 bytes - 4791a7a4 - file date is 1/18/2008 23:35:58
    C:\Windows\syswow64\OLEAUT32.dll, loaded at 0x77050000 - 563200 bytes - 4791a74f - file date is 1/18/2008 23:36:02
    C:\Windows\syswow64\kernel32.dll, loaded at 0x770e0000 - 855552 bytes - 4791a81d - file date is 1/18/2008 23:32:20
    C:\Windows\syswow64\msvcrt.dll, loaded at 0x771f0000 - 680448 bytes - 4791a727 - file date is 1/18/2008 23:35:16
    C:\Windows\syswow64\ADVAPI32.dll, loaded at 0x772a0000 - 798720 bytes - 4791a64b - file date is 1/18/2008 23:33:44
    C:\Windows\syswow64\CLBCatQ.DLL, loaded at 0x77370000 - 523776 bytes - 4791a66f - file date is 1/18/2008 23:33:54
    C:\Windows\syswow64\WS2_32.dll, loaded at 0x774d0000 - 179200 bytes - 4791a798 - file date is 1/18/2008 23:37:10
    C:\Windows\syswow64\GDI32.dll, loaded at 0x77500000 - 303104 bytes - 48fd676e - file date is 10/21/2008 06:24:00
    C:\Windows\syswow64\imagehlp.dll, loaded at 0x77590000 - 153088 bytes - 4791a709 - file date is 1/18/2008 23:34:34
    C:\Windows\SysWOW64\ntdll.dll, loaded at 0x77960000 - 1165688 bytes - 4791a783 - file date is 1/18/2008 23:38:16
    
    
    txt file icon errorlog.txt (30,460 bytes) 2009-01-26 03:09 +
  • log file icon fs2_open.log (13,858 bytes) 2009-01-26 11:27
  • rar file icon fs2_open.rar (92,726 bytes) 2009-01-27 03:20
  • jpg file icon error.jpg (63,977 bytes) 2009-01-28 05:09 -
    jpg file icon error.jpg (63,977 bytes) 2009-01-28 05:09 +
  • zip file icon fs2_open.zip (113,743 bytes) 2009-01-28 05:10

-Relationships
+Relationships

-Notes

~0010538

phreak (developer)

i remember this working the other day when goober gave me the test VP. I was using a trunk build.

~0010542

Goober5000 (administrator)

Works for me too. I tried using the latest trunk build (but no mods).

~0010589

phreak (developer)

still works for me

~0010592

Tolwyn (reporter)

Last edited: 2009-01-22 07:08

hmm... crashes for me. Debug does too with a runtime check failure #_2. Something about stack around variable p_str.

~0010600

Goober5000 (administrator)

Does not crash for me, either in release or debug. Although it does cut the text off.

~0010612

Tolwyn (reporter)

don't know if it helps, but here is my errorlog.txt

~0010613

Goober5000 (administrator)

Not really.

What about your fs2_open.log?

~0010614

Tolwyn (reporter)

crap, forgot about that one.

~0010615

Tolwyn (reporter)

I've just tried to run the fiction viewer with FS2. Retail build simply skips to the briefing, debug crashes without displaying any error messages.

~0010616

Goober5000 (administrator)

That's because retail doesn't come with the fiction viewer graphics.

~0010619

Tolwyn (reporter)

added fiction viewer.vp to my FS2 directory. Now the game will freeze with the release build and crash with the debug build (take a look at the picture)

~0010721

Tolwyn (reporter)

Last edited: 2009-03-08 11:07

I am on a business trip, so I can't test this out, but I'll ask somebody from the team, who ran into this issue, to give it a whirl.

~0010779

karajorma (administrator)

Fixed but limited to 70 lines in trunk. My branch has the fix which allows more text.

~0011980

Goober5000 (administrator)

Is this fixed in trunk?
+Notes

-Issue History
Date Modified Username Field Change
2009-01-17 08:39 Tolwyn New Issue
2009-01-17 09:47 phreak Note Added: 0010538
2009-01-19 13:30 Goober5000 Note Added: 0010542
2009-01-19 13:31 Goober5000 Status new => assigned
2009-01-19 13:31 Goober5000 Assigned To => Goober5000
2009-01-21 15:01 Tolwyn File Added: tellastory.txt
2009-01-21 15:02 Tolwyn File Added: fiction viewer test.fs2
2009-01-21 18:09 phreak Note Added: 0010589
2009-01-22 07:05 Tolwyn Note Added: 0010592
2009-01-22 07:08 Tolwyn Note Edited: 0010592
2009-01-22 07:08 Tolwyn Note Edited: 0010592
2009-01-24 02:02 Goober5000 Note Added: 0010600
2009-01-26 03:09 Tolwyn File Added: errorlog.txt
2009-01-26 03:09 Tolwyn Note Added: 0010612
2009-01-26 10:11 Goober5000 Note Added: 0010613
2009-01-26 11:27 Tolwyn File Added: fs2_open.log
2009-01-26 11:27 Tolwyn Note Added: 0010614
2009-01-27 03:20 Tolwyn File Added: fs2_open.rar
2009-01-27 03:20 Tolwyn Note Added: 0010615
2009-01-27 11:14 Goober5000 Note Added: 0010616
2009-01-28 05:09 Tolwyn File Added: error.jpg
2009-01-28 05:10 Tolwyn File Added: fs2_open.zip
2009-01-28 05:11 Tolwyn Note Added: 0010619
2009-03-07 17:48 karajorma Assigned To Goober5000 => karajorma
2009-03-07 17:52 karajorma Status assigned => resolved
2009-03-07 17:52 karajorma Fixed in Version => 3.6.10
2009-03-07 17:52 karajorma Resolution open => fixed
2009-03-08 03:29 Tolwyn Status resolved => feedback
2009-03-08 03:29 Tolwyn Resolution fixed => reopened
2009-03-08 03:29 Tolwyn Note Added: 0010721
2009-03-08 11:07 Tolwyn Note Edited: 0010721
2009-03-28 14:40 karajorma Status feedback => resolved
2009-03-28 14:40 karajorma Resolution reopened => fixed
2009-03-28 14:40 karajorma Note Added: 0010779
2010-05-19 01:24 Goober5000 Note Added: 0011980
+Issue History